extends Node

@warning_ignore_start("unused_signal")

signal interaction_confirmed(data: Dictionary)
signal log_pushed(log_data: String)
signal clear_buttons
signal add_buttons(buttons: Control)

func push(log_data: String):
	log_pushed.emit(log_data)
